Bug 20473 - Oracle failes with "can not mount data in exclusive mode"
Summary: Oracle failes with "can not mount data in exclusive mode"
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: knfsd   
(Show other bugs)
Version: 6.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-11-07 16:52 UTC by Justin P. Sullivan
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-23 19:33:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Justin P. Sullivan 2000-11-07 16:52:41 UTC
From Network Appliance cases 144564 and 163254..

Running Oracle 8i on a RedHat Linux 6.2 client using a Network Appliance 
Filer, you have to mount the NFS filesystem with the 'nolock' option. 
Mounting the filesystem WITHOUT the 'nolock' option results in Oracle 
failing to startup with a "can not mount data in exclusive mode" error.

We don't see this problem if Oracle 8i is run on local disks, or if Oracle 
8i is run on a Sun Solaris 2.7 client using a Network Appliance Filer with 
rw,hard,intr mount options.

Mount options used in a successful Oracle startup are rw,hard,intr,nolock.

RedHat Linux 6.2 kernel version is 2.2.14.

Comment 1 Elliot Lee 2004-08-23 19:33:34 UTC
Closing old bugs for dead packages that have no maintainers. Please refile
against current packages/products if still relevant.


Note You need to log in before you can comment on or make changes to this bug.